Attribute VB_Name = "Sample"
'============================================================================
'
'  aISA-P31B
'
'  Copyright ADTEK SYSTEM SCIENCE Co.,Ltd.
'
'  V1.11 Date 1999/08/23
'
'   ̃\[Xɂ̓bp[֐̎gpႪLqĂ܂B
'
'============================================================================
Option Explicit

Private Const szTitle = "Sample"
Private Const szP31B = "aISA-P31B"
Private Declare Function GetLastError Lib "kernel32" () As Long

'============================================================================
'   ۸т̊Jn
'============================================================================
Sub Main()

  Dim wLogSlot As Integer      ' ޲̘_ۯĔԍi[
  Dim Ri As AISA31BRESOURCE     ' ؿ
  Dim dwDllVer As Long, dwDriverVer As Long
  Dim cbDat As Byte
  Dim bResult As Boolean       ' 
  Dim szBuf As String

  '-------------------------------------------------
  ' aisa31b.dll ̎gp錾
  '-------------------------------------------------
  If Aisa31bwDllOpen() = False Then
    ErrorMessage (AISA31B_SLOT_AUTO)
    Exit Sub                   ' aisa31b.dll ۰ނɎs܂
  End If
  '-------------------------------------------------
  ' ްޮݔԍ\
  ' aISA-P31B DLL,ײްްޮݔԍ擾
  '-------------------------------------------------
  If Aisa31bwGetVersion(dwDllVer, dwDriverVer) = False Then
    ErrorMessage (AISA31B_SLOT_AUTO)
    Exit Sub
  End If

  szBuf = "GetVersion" + Chr(10) + _
          "DLL    Version" + Chr(9) + ": &H" + Hex(dwDllVer) + Chr(10) + _
          "Driver Version" + Chr(9) + ": &H" + Hex(dwDriverVer)
  ResultMessage (szBuf)
  '-------------------------------------------------
  ' aISA-P31B̎gp錾
  '-------------------------------------------------
  wLogSlot = AISA31B_SLOT_AUTO            ' gp޲T܂B
  bResult = Aisa31bwCreate(wLogSlot)      ' ꍇA̎޲̘_ۯĔԍi[܂B

  If bResult = False Then                ' ޲܂B
    ErrorMessage (AISA31B_SLOT_AUTO)
    Exit Sub
  End If

  szBuf = "aISA-P31B Created" + Chr(10) + Chr(10) + _
          "LogSlot: " + Str(wLogSlot)
  ResultMessage (szBuf)
  '-------------------------------------------------
  ' ؿ擾
  '-------------------------------------------------
  If Aisa31bwGetResource(wLogSlot, Ri) = False Then
    ErrorMessage (wLogSlot)
    Exit Sub
  End If

  szBuf = "Board Name  " + Chr(9) + ": " + szP31B + Chr(10) + _
          "IO Address  " + Chr(9) + ": &H" + Hex(Ri.dwIOPortBase(1)) + _
          "-&H" + Hex(Ri.dwIOPortBase(1) + Ri.dwIOPortLength(1) - 1) + Chr(10)

  ResultMessage (szBuf)
  '-------------------------------------------------
  ' Port 1 ɔCӂްo
  '-------------------------------------------------
  cbDat = &HAA
  If Aisa31bwOutPort(wLogSlot, AISA31B_PORT_1, cbDat) = False Then
    ErrorMessage (wLogSlot)
    Exit Sub
  End If

  szBuf = "Port 1 փf[^o" + Chr(10) + _
          "Port 1 Out Data: &H" + Hex(cbDat)

  ResultMessage (szBuf)
  '-------------------------------------------------
  ' Port 1 f[^ǂݍ
  '-------------------------------------------------
  cbDat = &H0
  If Aisa31bwInPort(wLogSlot, AISA31B_PORT_1, cbDat) = False Then
    ErrorMessage (wLogSlot)
    Exit Sub
  End If
  szBuf = "Port 1 f[^" + Chr(10) + _
          "Port 1 In Data: &H" + Hex(cbDat)

  ResultMessage (szBuf)
  '-------------------------------------------------
  ' aISA-P31B̎gpJ
  '-------------------------------------------------
  If Aisa31bwClose(wLogSlot) = False Then
    ErrorMessage (wLogSlot)
    Exit Sub
  End If
  ResultMessage ("aISA-P31B Closed")
  '-------------------------------------------------
  ' aisa31b.dll ̎gpJ
  '-------------------------------------------------
  If Aisa31bwDllClose() = False Then
    MsgBox "DLL ̃A[hɎs܂B", vbOKOnly + vbCritical
    Exit Sub
  End If
End Sub
'============================================================================
'    ʂ\
'============================================================================
Private Sub ResultMessage(lpszbuf As String)
  MsgBox lpszbuf, vbOKOnly + vbInformation
End Sub
'============================================================================
'    G[bZ[W\
'============================================================================
Private Sub ErrorMessage(ByVal wLogSlot As Integer)
  Dim dwRes As Long
  Dim szBuf As String

  dwRes = Aisa31bwGetLastError(wLogSlot)
  Select Case dwRes
    Case AISA31B_ERR_SYSTEM
      szBuf = "System error" + Chr(10) + Chr(10) + "Error code: &H" + Hex(GetLastError())
    Case AISA31B_ERR_WRAPDLL
      szBuf = "DLL Load error"
    Case Else
      szBuf = "aISA-P31B error" + Chr(10) + Chr(10) + "Error code: &H" + Hex(dwRes)
  End Select
  MsgBox szBuf, vbOKOnly + vbCritical
End Sub


