/*****************************************************************************/
/*	aisa31bw.h																 */
/*																			 */
/*	aISA-P31B															 */
/*																			 */
/*	Copyright ADTEK SYSTEM SCIENCE Co.,Ltd.									 */
/*																			 */
/*	V1.11 Date 1999/10/14													 */
/*																			 */
/*****************************************************************************/

#ifndef __AISA31BW_H__
#define __AISA31BW_H__

#include "aisa31b.h"

#ifdef __cplusplus
extern "C"{
#endif

#define AISA31B_DLL_NAME		_T("aisa31b.dll")	/* DLL */
#define AISA31B_ERR_WRAPDLL	((DWORD)-1)			/* ׯ߰֐װ */

BOOL Aisa31bwDllOpen();							/* DLL ۰ */
BOOL Aisa31bwDllClose();						/* DLL ۰ */
BOOL Aisa31bwGetVersion(PDWORD pdwDllVersion, PDWORD pdwDriverVersion);	/* aISA-P31B DLL,ײންޮݔԍ擾 */
BOOL Aisa31bwCreate(PWORD pwLogSlot);			/* CӂaISA-P31B̎gp錾 */
BOOL Aisa31bwClose(WORD wLogSlot);				/* CӂaISA-P31B̎gpJ */
BOOL Aisa31bwGetResource(WORD wLogSlot, PAISA31BR pResInfo);			/* ؿ擾 */
BOOL Aisa31bwInPort(WORD wLogSlot, DWORD dwLogPort, PBYTE pbInValue);	/* Cӂ߰Ăް */
BOOL Aisa31bwOutPort(WORD wLogSlot, DWORD dwLogPort, BYTE bOutValue);	/* Cӂ߰Ăްo */
DWORD Aisa31bwGetLastError(WORD wLogSlot);								/* aISA-P31B̴װ */

#ifdef __cplusplus
}
#endif

#endif /* __AISA31BW_H__ */
